#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_uso_tempo_Microdati_2013_DiarioSettimanale_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_uso_tempo_A2013_DiarioSettim<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_uso_tempo_A2013_DiarioSettim, "label") <- c(
"codice indagine",
"anno di inizio della rilevazione",
"trimestre di rilevazione",
"progressivo famiglia",
"numero d'ordine del componente",
"numero progressivo del giorno della settimana",
"giorno di rilevazione",
"primo intervallo di lavoro: ore inizio",
"primo intervallo di lavoro: minuti inizio",
"primo intervallo di lavoro: ore fine",
"primo intervallo di lavoro: minuti fine",
"secondo intervallo di lavoro: ore inizio",
"secondo intervallo di lavoro: minuti inizio",
"secondo intervallo di lavoro: ore fine",
"secondo intervallo di lavoro: minuti fine",
"terzo intervallo di lavoro: ore inizio",
"terzo intervallo di lavoro: minuti inizio",
"terzo intervallo di lavoro: ore fine",
"terzo intervallo di lavoro: minuti fine",
"quarto intervallo di lavoro: ore inizio",
"quarto intervallo di lavoro: minuti inizio",
"quarto intervallo di lavoro: ore fine",
"quarto intervallo di lavoro: minuti fine",
"quinto intervallo di lavoro: ore inizio",
"quinto intervallo di lavoro: minuti inizio",
"quinto intervallo di lavoro: ore fine",
"quinto intervallo di lavoro: minuti fine",
"sesto intervallo di lavoro: ore inizio",
"sesto intervallo di lavoro: minuti inizio",
"sesto intervallo di lavoro: ore fine",
"sesto intervallo di lavoro: minuti fine",
"non ho lavorato in quel giorno",
"Nella settimana descritta ha lavorato pi o meno ore del solito?",
"quale delle seguenti situazioni si  verificata per compilare il diario settimanale?",
"il diario settimanale  stato compilato:")

meseri_Fact <- factor(DF_uso_tempo_A2013_DiarioSettim$meseri, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Novembre, Dicembre, Gennaio", 
"Febbraio, Marzo, Aprile", 
"Maggio, Giugno, Luglio", 
"Agosto, Settembre, Ottobre")) 


rifgio_Fact <- factor(DF_uso_tempo_A2013_DiarioSettim$rifgio, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Luned", 
"Marted", 
"Mercoled", 
"Gioved", 
"Venerd", 
"Sabato", 
"Domenica")) 


tipset_Fact <- factor(DF_uso_tempo_A2013_DiarioSettim$tipset, 
levels=c("1", 
"2", 
"3"), 
labels=c("Meno del solito", 
"Pi del solito", 
"Come al solito")) 


comset_Fact <- factor(DF_uso_tempo_A2013_DiarioSettim$comset, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("E stato compilato dal rilevatore intervistando la persona", 
"E stato compilato dal rilevatore intervistando un familiare", 
"Compilato personalmente dal rispondente", 
"Compilato da un familiare")) 


setcom_Fact <- factor(DF_uso_tempo_A2013_DiarioSettim$setcom, 
levels=c("1", 
"2", 
"3"), 
labels=c("In modo completo senza difficolt", 
"In modo completo con difficolt", 
"In modo incompleto e lacunoso")) 

save.image (file="DF_uso_tempo_A2013_DiarioSettim.RData")
